- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moTSMoveLoopExpl< M > Class Template Reference

Explorer for a Tabu Search algorithm. More...

`#include <moTSMoveLoopExpl.h>`

Inheritance diagram for moTSMoveLoopExpl< M >:

List of all members.

## Public Member Functions
| moTSMoveLoopExpl (moMoveInit< M > &__move_init, moNextMove< M > &__next_move, moMoveIncrEval< M > &__incr_eval, moTabuList< M > &__tabu_list, moAspirCrit< M > &__aspir_crit)
| Constructor.
void | operator() (const EOT &__old_sol, EOT &__new_sol)
| Procedure which lauches the exploration.
## Private Types
typedef M::EOType | EOT
| Alias for the type.
typedef M::EOType::Fitness | Fitness
| Alias for the fitness.
## Private Attributes
moMoveInit< M > & | move_init
| Move initialisation.
moNextMove< M > & | next_move
| Neighborhood explorer.
moMoveIncrEval< M > & | incr_eval
| Efficient evaluation.
moBestImprSelect< M > | move_select
| Move selector.
moTabuList< M > & | tabu_list
| Tabu list.
moAspirCrit< M > & | aspir_crit
| Aspiration criterion.

## Detailed Description

### template<class M>
class moTSMoveLoopExpl< M >

Explorer for a Tabu Search algorithm.

It is used by a moTS.

Definition at line 30 of file moTSMoveLoopExpl.h.

## Constructor & Destructor Documentation

template<class M>

moTSMoveLoopExpl< M >::moTSMoveLoopExpl | ( | moMoveInit< M > & | __move_init,
|  | moNextMove< M > & | __next_move,
|  | moMoveIncrEval< M > & | __incr_eval,
|  | moTabuList< M > & | __tabu_list,
|  | moAspirCrit< M > & | __aspir_crit |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | __move_init | move initialisation
  | __next_move | neighborhood explorer
  | __incr_eval | efficient evaluation
  | __tabu_list | tabu list
  | __aspir_crit | aspiration criterion

Definition at line 49 of file moTSMoveLoopExpl.h.

References moTSMoveLoopExpl< M >::aspir_crit, and moTSMoveLoopExpl< M >::tabu_list.

## Member Function Documentation

template<class M>

void moTSMoveLoopExpl< M >::operator() | ( | const EOT & | __old_sol,
|  | EOT & | __new_sol |
| ) |  |  | `[inline]`

Procedure which lauches the exploration.

The exploration continues while the chosen move is not in the tabu list or the aspiration criterion is true. If these 2 conditions are not true, the exploration stops if the move selector update function returns false.

Parameters:

  | __old_sol | the initial solution
  | __new_sol | the new solution

Definition at line 69 of file moTSMoveLoopExpl.h.

References moTSMoveLoopExpl< M >::aspir_crit, moTSMoveLoopExpl< M >::incr_eval, moTSMoveLoopExpl< M >::move_init, moTSMoveLoopExpl< M >::move_select, moTSMoveLoopExpl< M >::next_move, and moTSMoveLoopExpl< M >::tabu_list.

The documentation for this class was generated from the following file:

- moTSMoveLoopExpl.h